# disable find_requires as it generate incorrect require on
# pear(Renameuser/SpecialRenameuser_body.php)
%define __find_requires %{nil}

%define mediawiki_extensions %{_datadir}/mediawiki/extensions
%define oname GraphViz
%define mwikiver 1.19
%define svnrel 89857

Name:		mediawiki-graphviz
Version:	0.9
Release:	%mkrel 1.%{svnrel}.4
Summary:	Mediawiki extension for %{oname}
License:	GPLv2+
Group:		System/Servers
Url:		http://www.mediawiki.org/wiki/Extension:%{oname}
BuildArch:	noarch

Source0:	http://upload.wikimedia.org/ext-dist/%{oname}-MW1.18-r%{svnrel}.tar.gz
Source1:    mw-addGraphvizextensionToInstances.in

Requires:	mediawiki >= %{mwikiver}
Requires:	graphviz
Requires:	mscgen

%description
GraphViz is a MediaWiki extension that lets you create and display graphs as
inline images on wiki pages, using the open-source Graphviz and Mscgen
applications:
- Graphviz is a program that allows the creation of numerous types of graphs,
  using the DOT language.
- Mscgen is a small program that parses Message Sequence Chart descriptions.
  Unlike Graphviz, this program does no clever layout operations or spline
  routing, as this is not needed.
Automatic graph drawing has many important applications in software engineering,
database and web design, networking, and in visual interfaces for many other
domains.
Additionally, this extension supports multiple graphs on one page, wiki-links in
graphs, and automatic pruning of old images.

%prep
%setup -q -n %{oname}

%build

%install
install -d %{buildroot}%{mediawiki_extensions}/%{oname}
install * %{buildroot}%{mediawiki_extensions}/%{oname}
mkdir %{buildroot}%{_sbindir}
sed -e 's,@extensiondir@,%{mediawiki_extensions}/%{oname},g' \
  < %{SOURCE1} > %{buildroot}%{_sbindir}/mediawiki-addGraphvizextensionToInstances

cat  > README.install.urpmi << EOF
To use this extension, you have to add
the following three lines to your LocalSettings.php

include("extensions/GraphViz/GraphViz.php");
\$wgGraphVizSettings->execPath = "/usr/bin/";
\$wgGraphVizSettings->mscgenPath = "/usr/bin/";

Then run mediawiki-addGraphvizextensionToInstances as root
to enable the extension in your mediawiki instances.
EOF

%files
%doc README.install.urpmi
%{mediawiki_extensions}/%{oname}
%attr(0700,root,root) %{_sbindir}/mediawiki-addGraphvizextensionToInstances


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.9-1.89857.4.mga3
+ Revision: 359906
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 obgr_seneca <obgr_seneca> 0.9-1.89857.3.mga3
+ Revision: 290175
- updated so it does work with new mediawiki

* Mon Feb 27 2012 obgr_seneca <obgr_seneca> 0.9-1.89857.2.mga2
+ Revision: 215645
- fixed display of php variable names in README.urpmi
- imported package mediawiki-graphviz

